Name:		pg_journal
Version:	0.2.0
Release:	12%{?dist}
Summary:	Module for sending log messages directly to the systemd journal

License:	PostgreSQL
URL:		https://github.com/intgr/pg_journal
Source0:	https://github.com/downloads/intgr/%{name}/%{name}-%{version}.tar.gz
# https://github.com/intgr/pg_journal/issues/1
Patch0:		pg_journal-0001-rhbz1337710-out_of_memory_fix.patch

BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	postgresql-devel >= 9.4.0-1
BuildRequires:	systemd-devel
Requires:	postgresql-server(:MODULE_COMPAT_%{postgresql_major})

%description
This is a PostgreSQL preload module for 
sending log messages directly to the systemd journal log.

%prep
%setup -q
%autopatch -p1


%build
# build will pick up whatever compiler flags were used to build PostgreSQL
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
# installed in wrong location
rm %{buildroot}%{_defaultdocdir}/pgsql/contrib/pg_journal.md


%files
%{_libdir}/pgsql/pg_journal.so
%doc doc/pg_journal.md
%license LICENSE


%changelog
* Tue May 24 2016 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-12
- include patch from Ed Behn, fixing startup failure (rhbz#1337710)

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 08 2016 Pavel Kajaba <pkajaba@redhat.com> - 0.2.0-10
- Rebuild for PostgreSQL 9.5 (rhbz#1296584)

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 12 2015 Pavel Raiskup <praiskup@redhat.com> - 0.2.0-8
- add guarding runtime MODULE_COMPAT requirement

* Thu Jan 08 2015 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-7
- rebuild for PostgreSQL 9.4

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Sep 13 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-4
- rebuild for PostgreSQL 9.3 (#1007850)

* Fri Aug 09 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-3
- include LICENSE file in package

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri May 17 2013 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.2.0-1
- new upstream release:
  Changelog:
  * `SYSLOG_IDENTIFIER` is now set from the `syslog_ident` GUC variable, rather
     than process title, which changes. Makes journalctl output prettier.
  * Fix build with PostgreSQL 9.3 and later.
  * Add new fields SCHEMA, TABLE, COLUMN, DATATYPE, CONSTRAINT, introduced in
    PostgreSQL 9.3.

* Sat Oct 13 2012 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.1.1-2
- address review issues:
  - Buildreq: systemd-devel, pkgconfig
  - require PostgreSQL (ver 9.2.0 or later) for libdir/pgsql directory
  - use name macro in Source0
  - drop defattr

* Wed Sep 12 2012 Tomasz Torcz <ttorcz@fedoraproject.org> - 0.1.1-1
- initial package
